Subject: [alpine-devel] VirtualBox Guest Additions

From: Gennady Feldman <[email-masked]>
Date: Mon, 3 Dec 2018 17:11:45 -0500

Hi Natanael,

It seems that VirtualBox Guest Additions packages in Alpine are currently
broken.I know there were questions as what these packages are and what they
do.

So these are "Guest Additions" packages that go inside the VirtualBox VM in
order to be enable VirtualBox host to communicate with the guest VM. There
are a number of different integrations and features from time sync, folder
sharing and other things.

I am specifically talking about the following Alpine packages:
virtualbox-guest-modules-vanilla
virtualbox-guest-modules-virt

The above packages provide the Linux kernel modules that need to be loaded
for the service to work.

virtualbox-guest-additions

Contains the VirtualBoxService (this is the daemon service that talks to
the linux kernel module) and VBoxControl user mode command that allows you
run a number of different commands inside the VM.

We have the PRs open in order to get this working again (and match current
stable VirtualBox release).

https://github.com/alpinelinux/aports/pull/5644 - is for the kernel modules
https://github.com/alpinelinux/aports/pull/5665 - is for
virtualbox-guest-additions (user space package).

The last PR is blocked/failing because it needs an updated kbuild. There is
a PR to update kbuild that's waiting for your review:
https://github.com/alpinelinux/aports/pull/5683

Let me know if something doesn't look right and I'll try to make the
necessary changes.

Thank you,

Gennady